Bug 1414985 - Ensure thunderbird (and other moz applications) are compatible with NSS 3.28 [RHEL 6.x]
Summary: Ensure thunderbird (and other moz applications) are compatible with NSS 3.28 ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: thunderbird
Version: 6.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Red Hat Gecko Maintainer
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 21:42 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2017-12-06 11:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 11:57:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Kai Engert (:kaie) (inactive account) 2017-01-19 21:42:05 UTC
We will update RHEL 6.x to NSS 3.28, which is incompatible with Mozilla 50 and older versions, depending on which features are enabled in NSS RHEL.

Because we most like keep an older nss-softokn version in RHEL 6.x, this might be a non-issue.

However, I recommend that you pick up a small patch in Thunderbird, and other applications such as xulrunner (if we're using any such applications in RHEL), to prevent potentially issues.

https://bugzilla.mozilla.org/show_bug.cgi?id=1290037

Comment 2 Hubert Kario 2017-01-20 14:59:40 UTC
The issue is not so much 3.28 as the X25519 that this version adds, and since the implementation of x25519 is in softokn, that is incompatibility with nss-softokn 3.28 package.

Comment 3 Jan Kurik 2017-12-06 11:57:58 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.